| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ROM based core
ROM stack support

## Detailed Description

## Functions
uint32_t | CALLBACK_UsbdRom_Register_DeviceDescriptor (void)
| Call back function registers device descriptor array's address to ROM stack.
uint32_t | CALLBACK_UsbdRom_Register_ConfigurationDescriptor (void)
| Call back function registers device configuration descriptor array's address to ROM stack.
uint32_t | CALLBACK_UsbdRom_Register_StringDescriptor (void)
| Call back function registers string descriptor array's address to ROM stack.
uint32_t | CALLBACK_UsbdRom_Register_DeviceQualifierDescriptor (void)
| Call back function registers device qualifier descriptor array's address to ROM stack.
uint8_t | CALLBACK_UsbdRom_Register_ConfigureEndpoint (void)
| Call back function registers endpoint configuration descriptor array's address to ROM stack.

## Function Documentation

uint32_t CALLBACK_UsbdRom_Register_ConfigurationDescriptor | ( | void |  | ) |

Call back function registers device configuration descriptor array's address to ROM stack.

Returns
  uint32_t value : Address of device configuration descriptor array

uint8_t CALLBACK_UsbdRom_Register_ConfigureEndpoint | ( | void |  | ) |

Call back function registers endpoint configuration descriptor array's address to ROM stack.

Returns
  uint8_t value : Address of endpoint configuration descriptor array

uint32_t CALLBACK_UsbdRom_Register_DeviceDescriptor | ( | void |  | ) |

Call back function registers device descriptor array's address to ROM stack.

Returns
  uint32_t value : Address of device descriptor array

uint32_t CALLBACK_UsbdRom_Register_DeviceQualifierDescriptor | ( | void |  | ) |

Call back function registers device qualifier descriptor array's address to ROM stack.

Returns
  uint32_t value : Address of device qualifier descriptor array

uint32_t CALLBACK_UsbdRom_Register_StringDescriptor | ( | void |  | ) |

Call back function registers string descriptor array's address to ROM stack.

Returns
  uint32_t value : Address of string descriptor array